Bug 443271 - Compiz won't start with Intel graphics
Compiz won't start with Intel graphics
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 20:02 EDT by Bojan Smojver
Modified: 2008-05-16 02:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 02:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.org log (25.68 KB, text/plain)
2008-04-19 20:02 EDT, Bojan Smojver
no flags Details
lspci -nn (2.40 KB, text/plain)
2008-04-19 20:03 EDT, Bojan Smojver
no flags Details
lspci -vv (11.64 KB, text/plain)
2008-04-19 20:04 EDT, Bojan Smojver
no flags Details
dmesg (33.77 KB, text/plain)
2008-04-19 20:04 EDT, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2008-04-19 20:02:32 EDT
Description of problem:
Compiz refuses to start with:

[fedora@localhost ~]$ compiz --replace
compiz (core) - Error: Could not acquire compositing manager selection on screen
0 display ":0.0"
compiz (core) - Fatal: No manageable screens found on display :0.0


Version-Release number of selected component (if applicable):
0.7.2-3.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Either attempt to enable desktop effects or start compiz from the command
line with compiz --replace.
  
Actual results:
Cannot attach itself to the display.

Expected results:
This works in F8.

Additional info:
I will attach lspci and X.org logs. The system is Dell Inspiron 6400 with
embedded Intel graphics. I have two such machines and they both cannot start compiz.
Comment 1 Bojan Smojver 2008-04-19 20:02:32 EDT
Created attachment 303031 [details]
X.org log
Comment 2 Bojan Smojver 2008-04-19 20:03:51 EDT
Created attachment 303032 [details]
lspci -nn
Comment 3 Bojan Smojver 2008-04-19 20:04:17 EDT
Created attachment 303033 [details]
lspci -vv
Comment 4 Bojan Smojver 2008-04-19 20:04:32 EDT
Created attachment 303034 [details]
dmesg
Comment 5 Bojan Smojver 2008-04-19 20:05:02 EDT
Full hardware config here: http://www.rexursive.com/articles/linuxondell6400.html
Comment 6 Bug Zapper 2008-05-14 05:45:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bojan Smojver 2008-05-14 17:44:11 EDT
Indeed, this is still a problem in Fedora 9 release.
Comment 8 Bojan Smojver 2008-05-16 01:06:43 EDT
Strangely enough, on my other Dell Inspiron 6400, with Intel graphics but 1280 x
800 screen size, compiz runs just fine. Go figure...
Comment 9 Bojan Smojver 2008-05-16 02:59:36 EDT
Unfortunately, there is no resolution string of USERISANIDIOT, so I am closing
as NOTABUG :-( The solution is, of course:

gconftool-2 --set --type bool /apps/metacity/general/compositing_manager false

(hence the the message "Could not acquire compositing manager selection")

Note You need to log in before you can comment on or make changes to this bug.